Reply

Dimension.AddRadialDiameter not working?

I'm trying to use the GetTerminator of a balloon to create a diameter dimension, and its keep on throwing an exception.  Right now I have a balloon attached to a BoltCircle, and I can add a radius dimension using this, but I need to show it's diameter.  See code:

 

        Dim objApplication As SolidEdgeFramework.Application = Nothing
        objApplication = Marshal.GetActiveObject("SolidEdge.Application")
        Dim CurrDFT As SolidEdgeDraft.DraftDocument = objApplication.ActiveDocument
        Dim currSht As SolidEdgeDraft.Sheet = CurrDFT.ActiveSheet
        Dim currdim As SolidEdgeFrameworkSupport.Dimensions = currSht.Dimensions
        Dim b As SolidEdgeFrameworkSupport.Balloon
        Dim d As SolidEdgeFrameworkSupport.Dimension

        b = objApplication.ActiveSelectSet.Item(1)
        Dim x As Double
        Dim y As Double
        Dim z As Double
        Dim a As SolidEdgeFrameworkSupport.BoltHoleCircle = Nothing
        Dim m As Boolean

        b.GetTerminator(a, x, y, z, m)

        'd = currdim.AddRadius(a)
        d = currdim.AddRadialDiameter(a)

 Now the 'currdim.AddRadius(a)' works perfectly, however I need it to be a diameter.  I can push the 'BreakDistance' and 'BreakPosition' of the radius dimension to get the shown value outside the circle, but its still reading in Radius, not Diameter.  Anyone know why this isnt working?

6 REPLIES

Re: Dimension.AddRadialDiameter not working?

This seems to be a bug, as the E_INVALIDARG exception indicates that the Bolt Hole Circle is not supported in the AddRadialDiameter or AddCircularDiameter mthod.

Passing a Circle2D object to any of the two methods is working.

You file an IR on that!

Re: Dimension.AddRadialDiameter not working?

But why does it do it when I reference the Bolt Circle's Circle2d?  How do I open an IR?

 

Thanks

 

Dave

Re: Dimension.AddRadialDiameter not working?

How do you reference the Circle2d object of a BoltHoleCircle? I can't see any property for that.

 

To log an Incident Report, go to the GTAC Site and under Call Management, Report an Issue.

If you don't have direct access to GTAC, ask your VAR to report the issue for you.

Re: Dimension.AddRadialDiameter not working?

Oh I could be wrong (Im not a pro programmer).  The following link shows Circle2d as a member of BoltHoleCircle.  Thought I've never used it successfully.

http://dl2.plm.automation.siemens.com/solidedge/api/sesdk_web/SolidEdgeFrameworkSupport~BoltHoleCirc...

Re: Dimension.AddRadialDiameter not working?

[ Edited ]

The Circle2d(x, y, r) method returns the coordinates of the center position and the radius of the bolt hole circle, but not the Circle2d object as you expected!

 

Although you can create the dimension manually, does not mean that it can be done through API.

Re: Dimension.AddRadialDiameter not working?

Hi:

 

I would like to know if an IR was created and the number.

Its been two years and the AddRadialDiameter is still not working on a DVCirle2D in ST 8 MP 6

 

~Tushar